Name:           kchmviewer
Version:        4.0
Release:        0.2.beta2%{?dist}
Summary:        CHM viewer with Qt support

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://www.kchmviewer.net/
Source0:        http://downloads.sourceforge.net/kchmviewer/kchmviewer-%{version}beta2.tar.gz
# fix the desktop file
Patch0:         kchmviewer-2.0-desktop_fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel chmlib-devel 
BuildRequires:  desktop-file-utils kdelibs4-devel

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
It uses the Qt widget library. 
#It is compiled with full KDE support, including KDE widgets 
#and KIO/KHTML.


%prep
%setup -q -n kchmviewer-%{version}beta2
%patch0 -p1 -b .desktop_fix

iconv -f latin1 -t utf8 < FAQ > FAQ.utf8
touch -r FAQ FAQ.utf8
mv FAQ.utf8 FAQ

#chmod -x lib/kio-msits/msits.*


%build
qmake-qt4
#%{?_smp_mflags}
make 


%install
rm -rf $RPM_BUILD_ROOT
# no install target
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 bin/kchmviewer $RPM_BUILD_ROOT%{_bindir}
# to be done automatically when kde support is reenabled
mkdir -p $RPM_BUILD_ROOT%{_bindir}
for r in 48 64 128; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${r}x${r}/apps/
  install -p -m644 src/pics/cr${r}-app-kchmviewer.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${r}x${r}/apps/kchmviewer.png
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
        lib/kio-msits/kchmviewer.desktop

# remove static libs, they have no interface, libkdeextra is too generic
#rm ${RPM_BUILD_ROOT}%{_libdir}/libchmfile.a 
#rm ${RPM_BUILD_ROOT}%{_libdir}/libkdeextra.a

#%%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:
#touch --no-create %{_datadir}/icons/crystalsvg || :
#%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
#touch --no-create %{_datadir}/icons/crystalsvg || :
#%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


#-f %{name}.lang
%files 
%defattr(-,root,root,-)
%doc README COPYING ChangeLog FAQ
%{_bindir}/kchmviewer
%{_datadir}/applications/*
#%{_datadir}/pixmaps/*
#%{_libdir}/kde3/kio_msits.so
#%{_libdir}/kde3/kio_msits.la
#%{_datadir}/services/msits.protocol
#%{_datadir}/icons/crystalsvg/*/apps/kchmviewer.png
%{_datadir}/icons/hicolor/*/apps/kchmviewer.png


%changelog
* Thu Feb 14 2008 Patrice Dumas <pertusus@free.fr> 4.0-0.2.beta2
- update to 4.0beta2

* Thu Aug  2 2007 Patrice Dumas <pertusus@free.fr> 3.1-1.5
- update to 3.1

* Sun Apr  1 2007 Patrice Dumas <pertusus@free.fr> 3.0-2
- update to 3.0

* Fri Feb 16 2007 Patrice Dumas <pertusus@free.fr> 2.7-2
- fixes in desktop file. Fix #229070

* Mon Jan 29 2007 Patrice Dumas <pertusus@free.fr> 2.7-1
- update to 2.7

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 2.6-2
- rebuild for FC6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 2.6-1
- update to 2.6
- remove upstreamed patch kchmviewer-2.5-iconstorage.h.patch

* Thu May 18 2006 Patrice Dumas <pertusus@free.fr> 2.5-1
- update to 2.5
- patch from Jose Pedro Oliveira (jpo)

* Tue May 16 2006 Patrice Dumas <pertusus@free.fr> 2.0-4
- remove the old menu entry file from /usr/share/applnk/

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-3
- use update-desktop-database

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-2
- enable kde support

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 2.0-1
- Fedora Extras submission
